﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using igCombo2010.Models;

namespace igCombo2010.Controllers
{
    public class HomeController : Controller
    {
        // Helper function for setting the possible options for the dropdown
        public void SetOptions(List<Options> data)
        {
            var p = new Options() { Name = "White", Key = 1 };
            data.Add(p);
            p = new Options() { Name = "Black", Key = 2 };
            data.Add(p);
            p = new Options() { Name = "Violet", Key = 3 };
            data.Add(p);

        }

        public ActionResult Index()
        {
            List<Options> data = new List<Options>();
            SetOptions(data);
            return View(data.AsQueryable());
        }

        public JsonResult GetData()
        {
            List<Options> data = new List<Options>();

            // code snippet surronded by the comments could be replaced correspondingly the source used( fetching from database, file, etc.)
            var p = new Options() { Name = "White", Key = 1 };
            data.Add(p);
            p = new Options() { Name = "Black", Key = 2 };
            data.Add(p);
            p = new Options() { Name = "Violet", Key = 3 };
            data.Add(p);
            // ---------------------------------

            JsonResult result = new JsonResult();
            result.Data = data;
            result.JsonRequestBehavior = JsonRequestBehavior.AllowGet;
            return result;

        }

    }
}
